<?php
/*
 * Copyright(c) 2015 PAYDESIGN, Inc. All rights reserved.
 * http://www.paydesign.co.jp/
 */

namespace Plugin\PayDesign\Entity;

use Eccube\Util\EntityUtil;

/**
 * Information about periodic master information about PayDesign Plugin
 */
class PayDesignPeriodicInfo extends \Eccube\Entity\AbstractEntity {

    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $periodic_status;

    /**
     * @var \DateTime
     */
    private $periodic_next_date;

    /**
     * @var integer
     */
    private $periodic_interval;

    /**
     * @var integer
     */
    private $periodic_create_day;

    /**
     * @var \Eccube\Entity\Customer
     */
    private $Customer;

    /**
     * @var integer
     */
    private $customer_id;

    /**
     * @var integer
     */
    private $payment_id;

    /**
     * @var string
     */
    private $payment_method;

    /**
     * @var integer
     */
    private $device_type_id;

    /**
     * @var string
     */
    private $message;

    /**
     * @var integer
     */
    private $shipping_country_id;

    /**
     * @var integer
     */
    private $shipping_pref;

    /**
     * @var string
     */
    private $shipping_name01;

    /**
     * @var string
     */
    private $shipping_name02;

    /**
     * @var string
     */
    private $shipping_kana01;

    /**
     * @var string
     */
    private $shipping_kana02;

    /**
     * @var string
     */
    private $shipping_company_name;

    /**
     * @var string
     */
    private $shipping_tel01;

    /**
     * @var string
     */
    private $shipping_tel02;

    /**
     * @var string
     */
    private $shipping_tel03;

    /**
     * @var string
     */
    private $shipping_fax01;

    /**
     * @var string
     */
    private $shipping_fax02;

    /**
     * @var string
     */
    private $shipping_fax03;

    /**
     * @var string
     */
    private $shipping_zip01;

    /**
     * @var string
     */
    private $shipping_zip02;

    /**
     * @var string
     */
    private $shipping_zipcode;

    /**
     * @var string
     */
    private $shipping_addr01;

    /**
     * @var string
     */
    private $shipping_addr02;

    /**
     * @var string
     */
    private $shipping_delivery_name;

    /**
     * @var string
     */
    private $shipping_delivery_time;

    /**
     * @var integer
     */
    private $delivery_id;

    /**
     * @var integer
     */
    private $time_id;

    /**
     * @var integer
     */
    private $fee_id;

    /**
     * @var integer/decimal
     */
    private $subtotal;

    /**
     * @var integer/decimal
     */
    private $discount;

    /**
     * @var integer/decimal
     */
    private $delivery_fee_total;

    /**
     * @var integer/decimal
     */
    private $charge;

    /**
     * @var integer/decimal
     */
    private $tax;

    /**
     * @var integer/decimal
     */
    private $total;

    /**
     * @var integer/decimal
     */
    private $payment_total;

    /**
     * @var \Eccube\Entity\Product
     */
    private $Product;

    /**
     * @var integer
     */
    private $product_id;

    /**
     * @var integer
     */
    private $product_class_id;

    /**
     * @var string
     */
    private $product_name;

    /**
     * @var string
     */
    private $product_code;

    /**
     * @var string
     */
    private $class_name1;

    /**
     * @var string
     */
    private $class_name2;

    /**
     * @var string
     */
    private $class_category_name1;

    /**
     * @var string
     */
    private $class_category_name2;

    /**
     * @var integer/decimal
     */
    private $price;

    /**
     * @var integer/decimal
     */
    private $quantity;

    /**
     * @var string
     */
    private $note;

    /**
     * @var integer
     */
    private $base_order_id;

    /**
     * @var integer
     */
    private $base_shipping_id;

    /**
     * @var integer
     */
    private $base_item_id;

    /**
     * @var \DateTime
     */
    private $create_date;

    /**
     * @var \DateTime
     */
    private $update_date;

    /**
     * @var integer
     */
    private $del_flg;

    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Set id (periodic_id)
     *
     * @param  integer $id
     * @return Module
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id (periodic_id)
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set periodic_status
     *
     * @param  integer $periodic_status
     * @return Module
     */
    public function setPeriodicStatus($periodic_status)
    {
        $this->periodic_status = $periodic_status;

        return $this;
    }

    /**
     * Get periodic_status
     *
     * @return integer
     */
    public function getPeriodicStatus()
    {
        return $this->periodic_status;
    }

    /**
     * Set periodic_next_date
     *
     * @param  \DateTime $periodic_next_date
     * @return Module
     */
    public function setPeriodicNextDate($periodic_next_date)
    {
        $this->periodic_next_date = $periodic_next_date;

        return $this;
    }

    /**
     * Get periodic_next_date
     *
     * @return \DateTime
     */
    public function getPeriodicNextDate()
    {
        return $this->periodic_next_date;
    }

    /**
     * Set periodic_interval
     *
     * @param  integer $periodic_interval
     * @return Module
     */
    public function setPeriodicInterval($periodic_interval)
    {
        $this->periodic_interval = $periodic_interval;

        return $this;
    }

    /**
     * Get periodic_interval
     *
     * @return integer
     */
    public function getPeriodicInterval()
    {
        return $this->periodic_interval;
    }

    /**
     * Set periodic_create_day
     *
     * @param  integer $periodic_create_day
     * @return Module
     */
    public function setPeriodicCreateDay($periodic_create_day)
    {
        $this->periodic_create_day = $periodic_create_day;

        return $this;
    }

    /**
     * Get periodic_create_day
     *
     * @return integer
     */
    public function getPeriodicCreateDay()
    {
        return $this->periodic_create_day;
    }

    /**
     * Set Customer
     *
     * @param  \Eccube\Entity\Customer $customer
     * @return Order
     */
    public function setCustomer(\Eccube\Entity\Customer $customer = null)
    {
        $this->Customer = $customer;

        return $this;
    }

    /**
     * Get Customer
     *
     * @return \Eccube\Entity\Customer
     */
    public function getCustomer()
    {
        if (EntityUtil::isEmpty($this->Customer)) {
            return null;
        }
        return $this->Customer;
    }

    /**
     * Set customer_id
     *
     * @param  integer $customer_id
     * @return Module
     */
    public function setCustomerId($customer_id)
    {
        $this->customer_id = $customer_id;

        return $this;
    }

    /**
     * Get customer_id
     *
     * @return integer
     */
    public function getCustomerId()
    {
        return $this->customer_id;
    }

    /**
     * Set payment_id
     *
     * @param  integer $payment_id
     * @return Module
     */
    public function setPaymentId($payment_id)
    {
        $this->payment_id = $payment_id;

        return $this;
    }

    /**
     * Get payment_id
     *
     * @return integer
     */
    public function getPaymentId()
    {
        return $this->payment_id;
    }

    /**
     * Set payment_method
     *
     * @param  string $payment_method
     * @return Module
     */
    public function setPaymentMethod($payment_method)
    {
        $this->payment_method = $payment_method;

        return $this;
    }

    /**
     * Get payment_method
     *
     * @return string
     */
    public function getPaymentMethod()
    {
        return $this->payment_method;
    }

    /**
     * Set device_type_id
     *
     * @param  integer $device_type_id
     * @return Module
     */
    public function setDeviceTypeId($device_type_id)
    {
        $this->device_type_id = $device_type_id;

        return $this;
    }

    /**
     * Get device_type_id
     *
     * @return integer
     */
    public function getDeviceTypeId()
    {
        return $this->device_type_id;
    }

    /**
     * Set message
     *
     * @param  string $message
     * @return Module
     */
    public function setMessage($message)
    {
        $this->message = $message;

        return $this;
    }

    /**
     * Get Message
     *
     * @return string
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * Set shipping_country_id
     *
     * @param  integer $shipping_country_id
     * @return Module
     */
    public function setShippingCountryId($shipping_country_id)
    {
        $this->shipping_country_id = $shipping_country_id;

        return $this;
    }

    /**
     * Get shipping_country_id
     *
     * @return integer
     */
    public function getShippingCountryId()
    {
        return $this->shipping_country_id;
    }

    /**
     * Set shipping_pref
     *
     * @param  integer $shipping_pref
     * @return Module
     */
    public function setShippingPref($shipping_pref)
    {
        $this->shipping_pref = $shipping_pref;

        return $this;
    }

    /**
     * Get shipping_pref
     *
     * @return integer
     */
    public function getShippingPref()
    {
        return $this->shipping_pref;
    }

    /**
     * Set shipping_name01
     *
     * @param  string $shipping_name01
     * @return Module
     */
    public function setShippingName01($shipping_name01)
    {
        $this->shipping_name01 = $shipping_name01;

        return $this;
    }

    /**
     * Get shipping_name01
     *
     * @return string
     */
    public function getShippingName01()
    {
        return $this->shipping_name01;
    }

    /**
     * Set shipping_name02
     *
     * @param  string $shipping_name02
     * @return Module
     */
    public function setShippingName02($shipping_name02)
    {
        $this->shipping_name02 = $shipping_name02;

        return $this;
    }

    /**
     * Get shipping_name02
     *
     * @return string
     */
    public function getShippingName02()
    {
        return $this->shipping_name02;
    }

    /**
     * Set shipping_kana01
     *
     * @param  string $shipping_kana01
     * @return Module
     */
    public function setShippingKana01($shipping_kana01)
    {
        $this->shipping_kana01 = $shipping_kana01;

        return $this;
    }

    /**
     * Get shipping_kana01
     *
     * @return string
     */
    public function getShippingKana01()
    {
        return $this->shipping_kana01;
    }

    /**
     * Set shipping_kana02
     *
     * @param  string $shipping_kana02
     * @return Module
     */
    public function setShippingKana02($shipping_kana02)
    {
        $this->shipping_kana02 = $shipping_kana02;

        return $this;
    }

    /**
     * Get shipping_kana02
     *
     * @return string
     */
    public function getShippingKana02()
    {
        return $this->shipping_kana02;
    }

    /**
     * Set shipping_company_name
     *
     * @param  string $shipping_company_name
     * @return Module
     */
    public function setShippingCompanyName($shipping_company_name)
    {
        $this->shipping_company_name = $shipping_company_name;

        return $this;
    }

    /**
     * Get shipping_company_name
     *
     * @return string
     */
    public function getShippingCompanyName()
    {
        return $this->shipping_company_name;
    }

    /**
     * Set shipping_tel01
     *
     * @param  string $shipping_tel01
     * @return Module
     */
    public function setShippingTel01($shipping_tel01)
    {
        $this->shipping_tel01 = $shipping_tel01;

        return $this;
    }

    /**
     * Get shipping_tel01
     *
     * @return string
     */
    public function getShippingTel01()
    {
        return $this->shipping_tel01;
    }

    /**
     * Set shipping_tel02
     *
     * @param  string $shipping_tel02
     * @return Module
     */
    public function setShippingTel02($shipping_tel02)
    {
        $this->shipping_tel02 = $shipping_tel02;

        return $this;
    }

    /**
     * Get shipping_tel02
     *
     * @return string
     */
    public function getShippingTel02()
    {
        return $this->shipping_tel02;
    }

    /**
     * Set shipping_tel03
     *
     * @param  string $shipping_tel03
     * @return Module
     */
    public function setShippingTel03($shipping_tel03)
    {
        $this->shipping_tel03 = $shipping_tel03;

        return $this;
    }

    /**
     * Get shipping_tel03
     *
     * @return string
     */
    public function getShippingTel03()
    {
        return $this->shipping_tel03;
    }

    /**
     * Set shipping_fax01
     *
     * @param  string $shipping_fax01
     * @return Module
     */
    public function setShippingFax01($shipping_fax01)
    {
        $this->shipping_fax01 = $shipping_fax01;

        return $this;
    }

    /**
     * Get shipping_fax01
     *
     * @return string
     */
    public function getShippingFax01()
    {
        return $this->shipping_fax01;
    }

    /**
     * Set shipping_fax02
     *
     * @param  string $shipping_fax02
     * @return Module
     */
    public function setShippingFax02($shipping_fax02)
    {
        $this->shipping_fax02 = $shipping_fax02;

        return $this;
    }

    /**
     * Get shipping_fax02
     *
     * @return string
     */
    public function getShippingFax02()
    {
        return $this->shipping_fax02;
    }

    /**
     * Set shipping_fax03
     *
     * @param  string $shipping_fax03
     * @return Module
     */
    public function setShippingFax03($shipping_fax03)
    {
        $this->shipping_fax03 = $shipping_fax03;

        return $this;
    }

    /**
     * Get shipping_fax03
     *
     * @return string
     */
    public function getShippingFax03()
    {
        return $this->shipping_fax03;
    }

    /**
     * Set shipping_zip01
     *
     * @param  string $shipping_zip01
     * @return Module
     */
    public function setShippingZip01($shipping_zip01)
    {
        $this->shipping_zip01 = $shipping_zip01;

        return $this;
    }

    /**
     * Get shipping_zip01
     *
     * @return string
     */
    public function getShippingZip01()
    {
        return $this->shipping_zip01;
    }

    /**
     * Set shipping_zip02
     *
     * @param  string $shipping_zip02
     * @return Module
     */
    public function setShippingZip02($shipping_zip02)
    {
        $this->shipping_zip02 = $shipping_zip02;

        return $this;
    }

    /**
     * Get shipping_zip02
     *
     * @return string
     */
    public function getShippingZip02()
    {
        return $this->shipping_zip02;
    }

    /**
     * Set shipping_zipcode
     *
     * @param  string $shipping_zipcode
     * @return Module
     */
    public function setShippingZipCode($shipping_zipcode)
    {
        $this->shipping_zipcode = $shipping_zipcode;

        return $this;
    }

    /**
     * Get shipping_zipcode
     *
     * @return string
     */
    public function getShippingZipCode()
    {
        return $this->shipping_zipcode;
    }

    /**
     * Set shipping_addr01
     *
     * @param  string $shipping_addr01
     * @return Module
     */
    public function setShippingAddr01($shipping_addr01)
    {
        $this->shipping_addr01 = $shipping_addr01;

        return $this;
    }

    /**
     * Get shipping_addr01
     *
     * @return string
     */
    public function getShippingAddr01()
    {
        return $this->shipping_addr01;
    }

    /**
     * Set shipping_addr02
     *
     * @param  string $shipping_addr02
     * @return Module
     */
    public function setShippingAddr02($shipping_addr02)
    {
        $this->shipping_addr02 = $shipping_addr02;

        return $this;
    }

    /**
     * Get shipping_addr02
     *
     * @return string
     */
    public function getShippingAddr02()
    {
        return $this->shipping_addr02;
    }

    /**
     * Set shipping_delivery_name
     *
     * @param  string $shipping_delivery_name
     * @return Module
     */
    public function setShippingDeliveryName($shipping_delivery_name)
    {
        $this->shipping_delivery_name = $shipping_delivery_name;

        return $this;
    }

    /**
     * Get shipping_delivery_name
     *
     * @return string
     */
    public function getShippingDeliveryName()
    {
        return $this->shipping_delivery_name;
    }

    /**
     * Set shipping_delivery_time
     *
     * @param  string $shipping_delivery_time
     * @return Module
     */
    public function setShippingDeliveryTime($shipping_delivery_time)
    {
        $this->shipping_delivery_time = $shipping_delivery_time;

        return $this;
    }

    /**
     * Get shipping_delivery_time
     *
     * @return string
     */
    public function getShippingDeliveryTime()
    {
        return $this->shipping_delivery_time;
    }

    /**
     * Set delivery_id
     *
     * @param  integer $delivery_id
     * @return Module
     */
    public function setDeliveryId($delivery_id)
    {
        $this->delivery_id = $delivery_id;

        return $this;
    }

    /**
     * Get delivery_id
     *
     * @return integer
     */
    public function getDeliveryId()
    {
        return $this->delivery_id;
    }

    /**
     * Set time_id
     *
     * @param  integer $time_id
     * @return Module
     */
    public function setTimeId($time_id)
    {
        $this->time_id = $time_id;

        return $this;
    }

    /**
     * Get time_id
     *
     * @return integer
     */
    public function getTimeId()
    {
        return $this->time_id;
    }

    /**
     * Set fee_id
     *
     * @param  integer $fee_id
     * @return Module
     */
    public function setFeeId($fee_id)
    {
        $this->fee_id = $fee_id;

        return $this;
    }

    /**
     * Get fee_id
     *
     * @return integer
     */
    public function getFeeId()
    {
        return $this->fee_id;
    }

    /**
     * Set subtotal
     *
     * @param  integer $subtotal
     * @return Module
     */
    public function setSubtotal($subtotal)
    {
        $this->subtotal = $subtotal;

        return $this;
    }

    /**
     * Get subtotal
     *
     * @return integer
     */
    public function getSubtotal()
    {
        return $this->subtotal;
    }

    /**
     * Set discount
     *
     * @param  integer $discount
     * @return Module
     */
    public function setDiscount($discount)
    {
        $this->discount = $discount;

        return $this;
    }

    /**
     * Get discount
     *
     * @return integer
     */
    public function getDiscount()
    {
        return $this->discount;
    }

    /**
     * Set delivery_fee_total
     *
     * @param  integer $delivery_fee_total
     * @return Module
     */
    public function setDeliveryFeeTotal($delivery_fee_total)
    {
        $this->delivery_fee_total = $delivery_fee_total;

        return $this;
    }

    /**
     * Get delivery_fee_total
     *
     * @return integer
     */
    public function getDeliveryFeeTotal()
    {
        return $this->delivery_fee_total;
    }

    /**
     * Set charge
     *
     * @param  integer $charge
     * @return Module
     */
    public function setCharge($charge)
    {
        $this->charge = $charge;

        return $this;
    }

    /**
     * Get charge
     *
     * @return integer
     */
    public function getCharge()
    {
        return $this->charge;
    }

    /**
     * Set tax
     *
     * @param  integer $tax
     * @return Module
     */
    public function setTax($tax)
    {
        $this->tax = $tax;

        return $this;
    }

    /**
     * Get tax
     *
     * @return integer
     */
    public function getTax()
    {
        return $this->tax;
    }

    /**
     * Set total
     *
     * @param  integer $total
     * @return Module
     */
    public function setTotal($total)
    {
        $this->total = $total;

        return $this;
    }

    /**
     * Get total
     *
     * @return integer
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * Set payment_total
     *
     * @param  integer $payment_total
     * @return Module
     */
    public function setPaymentTotal($payment_total)
    {
        $this->payment_total = $payment_total;

        return $this;
    }

    /**
     * Get payment_total
     *
     * @return integer
     */
    public function getPaymentTotal()
    {
        return $this->payment_total;
    }

    /**
     * Set Product
     *
     * @param  \Eccube\Entity\Product $Product
     * @return Product
     */
    public function setProduct(\Eccube\Entity\Product $product = null)
    {
        $this->Product = $product;

        return $this;
    }

    /**
     * Get Product
     *
     * @return \Eccube\Entity\Product
     */
    public function getProduct()
    {
        if (EntityUtil::isEmpty($this->Product)) {
            return null;
        }
        return $this->Product;
    }

    /**
     * Set product_id
     *
     * @param  integer $product_id
     * @return Module
     */
    public function setProductId($product_id)
    {
        $this->product_id = $product_id;

        return $this;
    }

    /**
     * Get product_id
     *
     * @return integer
     */
    public function getProductId()
    {
        return $this->product_id;
    }

    /**
     * Set product_class_id
     *
     * @param  integer $product_class_id
     * @return Module
     */
    public function setProductClassId($product_class_id)
    {
        $this->product_class_id = $product_class_id;

        return $this;
    }

    /**
     * Get product_class_id
     *
     * @return integer
     */
    public function getProductClassId()
    {
        return $this->product_class_id;
    }

    /**
     * Set product_name
     *
     * @param  string $product_name
     * @return Module
     */
    public function setProductName($product_name)
    {
        $this->product_name = $product_name;

        return $this;
    }

    /**
     * Get product_name
     *
     * @return string
     */
    public function getProductName()
    {
        return $this->product_name;
    }

    /**
     * Set product_code
     *
     * @param  string $product_code
     * @return Module
     */
    public function setProductCode($product_code)
    {
        $this->product_code = $product_code;

        return $this;
    }

    /**
     * Get product_code
     *
     * @return string
     */
    public function getProductCode()
    {
        return $this->product_code;
    }

    /**
     * Set class_name1
     *
     * @param  string $class_name1
     * @return Module
     */
    public function setClassName1($class_name1)
    {
        $this->class_name1 = $class_name1;

        return $this;
    }

    /**
     * Get class_name1
     *
     * @return string
     */
    public function getClassName1()
    {
        return $this->class_name1;
    }

    /**
     * Set class_name2
     *
     * @param  string $class_name2
     * @return Module
     */
    public function setClassName2($class_name2)
    {
        $this->class_name2 = $class_name2;

        return $this;
    }

    /**
     * Get class_name2
     *
     * @return string
     */
    public function getClassName2()
    {
        return $this->class_name2;
    }

    /**
     * Set class_category_name1
     *
     * @param  string $class_category_name1
     * @return Module
     */
    public function setClassCategoryName1($class_category_name1)
    {
        $this->class_category_name1 = $class_category_name1;

        return $this;
    }

    /**
     * Get class_category_name1
     *
     * @return string
     */
    public function getClassCategoryName1()
    {
        return $this->class_category_name1;
    }

    /**
     * Set class_category_name2
     *
     * @param  string $class_category_name2
     * @return Module
     */
    public function setClassCategoryName2($class_category_name2)
    {
        $this->class_category_name2 = $class_category_name2;

        return $this;
    }

    /**
     * Get class_category_name2
     *
     * @return string
     */
    public function getClassCategoryName2()
    {
        return $this->class_category_name2;
    }

    /**
     * Set price
     *
     * @param  integer $price
     * @return Module
     */
    public function setPrice($price)
    {
        $this->price = $price;

        return $this;
    }

    /**
     * Get price
     *
     * @return integer
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * Set quantity
     *
     * @param  integer $quantity
     * @return Module
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;

        return $this;
    }

    /**
     * Get quantity
     *
     * @return integer
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * Set note
     *
     * @param  string $note
     * @return Module
     */
    public function setNote($note)
    {
        $this->note = $note;

        return $this;
    }

    /**
     * Get note
     *
     * @return string
     */
    public function getNote()
    {
        return $this->note;
    }

    /**
     * Set base_order_id
     *
     * @param  integer $base_order_id
     * @return Module
     */
    public function setBaseOrderId($base_order_id)
    {
        $this->base_order_id = $base_order_id;

        return $this;
    }

    /**
     * Get base_order_id
     *
     * @return integer
     */
    public function getBaseOrderId()
    {
        return $this->base_order_id;
    }

    /**
     * Set base_shipping_id
     *
     * @param  integer $base_shipping_id
     * @return Module
     */
    public function setBaseShippingId($base_shipping_id)
    {
        $this->base_shipping_id = $base_shipping_id;

        return $this;
    }

    /**
     * Get base_shipping_id
     *
     * @return integer
     */
    public function getBaseShippingId()
    {
        return $this->base_shipping_id;
    }

    /**
     * Set base_item_id
     *
     * @param  integer $base_item_id
     * @return Module
     */
    public function setBaseItemId($base_item_id)
    {
        $this->base_item_id = $base_item_id;

        return $this;
    }

    /**
     * Get base_item_id
     *
     * @return integer
     */
    public function getBaseItemId()
    {
        return $this->base_item_id;
    }

    /**
     * Set create_date
     *
     * @param  \DateTime $createDate
     * @return Payment
     */
    public function setCreateDate($createDate)
    {
        $this->create_date = $createDate;

        return $this;
    }

    /**
     * Get create_date
     *
     * @return \DateTime
     */
    public function getCreateDate()
    {
        return $this->create_date;
    }

    /**
     * Set update_date
     *
     * @param  \DateTime $updateDate
     * @return Payment
     */
    public function setUpdateDate($updateDate)
    {
        $this->update_date = $updateDate;

        return $this;
    }

    /**
     * Get update_date
     *
     * @return \DateTime
     */
    public function getUpdateDate()
    {
        return $this->update_date;
    }

    /**
     * Set del_flg
     *
     * @param  integer $delFlg
     * @return Payment
     */
    public function setDelFlg($delFlg)
    {
        $this->del_flg = $delFlg;

        return $this;
    }

    /**
     * Get del_flg
     *
     * @return integer
     */
    public function getDelFlg()
    {
        return $this->del_flg;
    }
}
?>
